import json
# from collections import defaultdict
import numpy as np


target = {'am': 0, 'aq': 1, 'ci': 2, 'db': 3, 'fa': 4, 'go': 5, 'ro': 6, 'we': 7, 'wi': 8}
# node = str(64)
# with open('results/run1/node_labels_random_' + node + '.txt', 'r') as nl:
#     labels = json.load(nl)

# data = defaultdict(lambda: [0]*9)
# with open('results/data.txt', 'r') as d:
#     data = json.load(d)

# for key, label in labels.items():
#     name = key.split('_')
#     nodeid = name[0] + name[1][:2]
#     data[nodeid][target[label[0]]] += 1

# for key, labels in labels.items():
#     name = key.split('_')
#     nodeid = name[0] + name[1][:2]
#     if len(labels) > 1:
#         for label in labels[1:]:
#             data[nodeid][target[label]] += 1
#     else:
#         data[nodeid] += []


# with open('results/data' + node + '.txt', 'w') as d:
#     d.write(json.dumps(data))
# big_data = defaultdict(lambda: [])
# nodes = ['8', '9', '16', '17', '32', '33', '64', '65']
# for node in nodes:
#     with open('results/dataset/data' + node + '.txt', 'r') as d:
#         data = json.load(d)
#     for key, val in data.items():
#         big_data[key].append(val)
#
# with open('results/dataset/big_labeled_data.txt', 'w') as bd:
#     bd.write(json.dumps(big_data))

with open('results/dataset/big_labeled_data.txt', 'r') as bld:
    big_data = json.load(bld)

big_data_serial = []
for k, v in big_data.items():
    val = [x for lis in np.array(v).transpose().tolist() for x in lis]
    nodeid, tru_lbl = int(k[:-2]), k[-2:]
    val.append(target[tru_lbl])
    val.insert(0, nodeid)
    big_data_serial.append(val)

bldnp = np.array(big_data_serial).astype('int32')
# print bldnp.shape
np.savetxt('results/dataset/labeled_data.txt', bldnp, fmt="%d")
